Debian Bug report logs - #294991
ITA: sitecopy -- A program for managing a WWW site via FTP, DAV, OR HTTP

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: jsbien@mimuw.edu.pl

Date: Sat, 12 Feb 2005 21:18:07 UTC

Owned by: Reed Snellenberger <rsnellenberger@houston.rr.com>

Severity: normal

Fixed in version sitecopy/1:0.15.1-1

Done: Reed Snellenberger <rsnellenberger@houston.rr.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Janusz S. Bień <jsbien@mimuw.edu.pl>, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#294991; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to jsbien@mimuw.edu.pl:
New Bug report received and forwarded. Copy sent to Janusz S. Bień <jsbien@mimuw.edu.pl>, debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Janusz S. Bień <jsbien@mimuw.edu.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: sitecopy -- A program for managing a WWW site via FTP, DAV or HTTP
Date: Sat, 12 Feb 2005 22:09:50 +0100
Package: wnpp
Severity: normal

The package lags 3 years behind upstream.

It is based on upstream version of 13 January 2002, while the current
upstream version is 0.14.2 of 3 January 2005:

        http://www.lyra.org/sitecopy/

The upstream version probably corrects all or most of the bugs
reported.

As the maintainer is evidently not active, I declare the package as
orphaned.

Best regards

Janusz

-- 
                     ,   
dr hab. Janusz S. Bien, prof. UW -  Uniwersytet Warszawski (Katedra Lingwistyki Formalnej)
Prof. Janusz S. Bien - Warsaw Uniwersity (Chair of Formal Linguistics)
jsbien@mimuw.edu.pl, jsbien@uw.edu.pl, http://www.mimuw.edu.pl/~jsbien/, http://www.klf.uw.edu.pl



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#294991; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 294991@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: jsbien@mimuw.edu.pl, 294991@bugs.debian.org, mhatta@debian.org
Subject: Re: Bug#294991: O: sitecopy -- A program for managing a WWW site via FTP, DAV or HTTP
Date: Sat, 12 Feb 2005 22:27:51 +0100
On Sat, Feb 12, 2005 at 10:09:50PM +0100, Janusz S. Bie? wrote:
> The package lags 3 years behind upstream.
> 
> It is based on upstream version of 13 January 2002, while the current
> upstream version is 0.14.2 of 3 January 2005:
> 
>         http://www.lyra.org/sitecopy/
> 
> The upstream version probably corrects all or most of the bugs
> reported.
> 
> As the maintainer is evidently not active, I declare the package as
> orphaned.

Did you try to contact the maintainer before taking this step?

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#294991; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to jsbien@duch.mimuw.edu.pl (Janusz S. Bien):
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 294991@bugs.debian.org (full text, mbox):

From: jsbien@duch.mimuw.edu.pl (Janusz S. Bien)
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: 294991@bugs.debian.org, mhatta@debian.org
Subject: Re: Bug#294991: O: sitecopy -- A program for managing a WWW site via FTP, DAV or HTTP
Date: Sun, 13 Feb 2005 06:59:58 +0100
On Sat, 12 Feb 2005 22:27:51 +0100
Jeroen van Wolffelaar <jeroen@wolffelaar.nl> writes:

[...]

> Did you try to contact the maintainer before taking this step?

No. I guess I should, but after some hesitation I decided that the
facts are obvious and taking such a shortcut will save some time in
bringing the upgrade to Debian users.

My apology if I broke some rules - a BTS manual for *users* seems to
be missing.

Best regards

Janusz



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#294991; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 294991@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: "Janusz S. Bien" <jsbien@duch.mimuw.edu.pl>
Cc: 294991@bugs.debian.org, mhatta@debian.org
Subject: Re: Bug#294991: O: sitecopy -- A program for managing a WWW site via FTP, DAV or HTTP
Date: Sun, 13 Feb 2005 11:33:56 +0100
On Sun, Feb 13, 2005 at 06:59:58AM +0100, Janusz S. Bien wrote:
> On Sat, 12 Feb 2005 22:27:51 +0100
> Jeroen van Wolffelaar <jeroen@wolffelaar.nl> writes:
> 
> [...]
> 
> > Did you try to contact the maintainer before taking this step?
> 
> No. I guess I should, but after some hesitation I decided that the
> facts are obvious and taking such a shortcut will save some time in
> bringing the upgrade to Debian users.

This can be achieved otherwise, well, such a shortcut (asking for
someone to hijack the package without even asking the maintainer) is
considered a tad rude if the maintainer isn't even cc'd on the actual
request. If a maintainer is unresponsive, you can always as user mail to
-devel asking about it, or the better mailinglist in this case would
have been -qa.
 
> My apology if I broke some rules - a BTS manual for *users* seems to
> be missing.

wnpp (this isn't about the BTS really, you apparantly are perfectly able
to send out a good O: bugreport on wnpp) is not at all intended for
users, developer (but readable for everyone) documentation is
available[0] (but not dealing with what to do with neglecting packages).

Neglected/outdated packages only as last step will get orphaned, see [1]
for a bit of information (though not complete nor 100% useful for
non-developers).

I do acknowledge however, that when I tried a user-oriented search for
what to do, I failed to find any good information, except mailinglists
to ask for. This probably should be fixed...

--Jeroen

[0] http://www.debian.org/devel/wnpp/
[1] http://www.debian.org/doc/developers-reference/ch-beyond-pkging.en.html#s-mia-qa

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#294991; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Masayuki Hatta <mhatta@po.airs.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 294991@bugs.debian.org (full text, mbox):

From: Masayuki Hatta <mhatta@po.airs.net>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: jsbien@mimuw.edu.pl, 294991@bugs.debian.org
Subject: Re: Bug#294991: O: sitecopy -- A program for managing a WWW site via FTP, DAV or HTTP
Date: Mon, 14 Feb 2005 00:23:07 +0900
Hi guys,

>>>>> In <20050212212751.GG2012@A-Eskwadraat.nl> 
>>>>>	Jeroen van Wolffelaar <jeroen@wolffelaar.nl> wrote:
> On Sat, Feb 12, 2005 at 10:09:50PM +0100, Janusz S. Bie? wrote:
> > The package lags 3 years behind upstream.
> > 
> > It is based on upstream version of 13 January 2002, while the current
> > upstream version is 0.14.2 of 3 January 2005:
> > 
> >         http://www.lyra.org/sitecopy/
> > 
> > The upstream version probably corrects all or most of the bugs
> > reported.
> > 
> > As the maintainer is evidently not active, I declare the package as
> > orphaned.

> Did you try to contact the maintainer before taking this step?

Well, as jvw said, you should have contact me before O: this staff,
but in this case you are actually welcomed.

The reason why Debian's sitecopy is so dated...the current Debian
version is the last one as far as I know which contains a working
xsitecopy (GNOME1 frontend).  Now it doesn't even build and GTK1
became a relic of the past.  At that time I thought someone will port
xsitecopy to GTK2, but after 2 years I think it won't happen any soon.
And I anyway forgot about sitecopy (I don't use it anymore).  In
short, I almost lost my interest in sitecopy now.

So if you want to take over the maintainership of sitecopy, go ahead.
Or, I'll package new version of sitecopy without xsitecopy, but it
won't happen soon (Recently I'm back from the thesis hell and
concentrate on packaging Ghostscript stuff.  Also still fighting with
a pile of mails.)

Best regards,
MH

--
Masayuki Hatta
Graduate School of Economics, University of Tokyo
mhatta@gnu.org / mhatta@debian.org / mhatta@opensource.jp
mhatta@grad.e.u-tokyo.ac.jp / ee36037@mail.ecc.u-tokyo.ac.jp



Changed Bug title. Request was from Reed Snellenberger <rsnellenberger@houston.rr.com> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Reed Snellenberger <rsnellenberger@houston.rr.com>. Request was from Reed Snellenberger <rsnellenberger@houston.rr.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#294991; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Reed Snellenberger <rsnellenberger@houston.rr.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #34 received at 294991@bugs.debian.org (full text, mbox):

From: Reed Snellenberger <rsnellenberger@houston.rr.com>
To: 294991@bugs.debian.org, mhatta@debian.org, jsbien@duch.mimuw.edu.pl, jjeroen@wolffelaar.nl
Subject: [Fwd: adopting sitecopy]
Date: Sun, 13 Feb 2005 09:39:58 -0600
[Message part 1 (text/plain, inline)]
I'd filed this ITA for sitecopy after seeing the original "orphaning" 
note.  I would still like to adopt the program if the original 
maintainer isn't interested in keeping it, but will hold off to see if 
he responds to these notes...

-- 
Reed Snellenberger         
GPG KeyID: 5A978843 
rsnellenberger-at-houston.rr.com


[adopting sitecopy (message/rfc822, inline)]
From: Reed Snellenberger <rsnellenberger@houston.rr.com>
To: control@bugs.debian.org
Cc: rsnellenberger@houston.rr.com
Subject: adopting sitecopy
Date: Sun, 13 Feb 2005 09:16:40 -0600
retitle 294991 ITA: sitecopy -- A program for managing a WWW site via FTP, DAV, OR HTTP
owner 294991 !

-- 
Reed Snellenberger
OpenPGP key:  5A978843
rsnellenberger-at-houston-dot-rr-dot-com


Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Reed Snellenberger <rsnellenberger@houston.rr.com>:
Bug#294991; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to jsbien@mimuw.edu.pl:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Reed Snellenberger <rsnellenberger@houston.rr.com>. Full text and rfc822 format available.

Message #39 received at 294991@bugs.debian.org (full text, mbox):

From: jsbien@mimuw.edu.pl (Janusz S. Bień)
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: 294991@bugs.debian.org, mhatta@debian.org, Reed Snellenberger <rsnellenberger@houston.rr.com>
Subject: Re: Bug#294991: O: sitecopy -- A program for managing a WWW site via FTP, DAV or HTTP
Date: 14 Feb 2005 18:27:20 +0100
On Sun, 13 Feb 2005  Jeroen van Wolffelaar <jeroen@wolffelaar.nl> wrote:

> wnpp (this isn't about the BTS really, you apparantly are perfectly able
> to send out a good O: bugreport on wnpp) is not at all intended for
> users, 

I think it is more complicated. "Request For Package" is and should be
for users, do you agree? 

> I do acknowledge however, that when I tried a user-oriented search for
> what to do, I failed to find any good information, except mailinglists
> to ask for. This probably should be fixed...

Do you think filing a bug against "project" or "qa.debian.org"
pseudo-packages would be a good idea?

On Mon, 14 Feb 2005  Masayuki Hatta <mhatta@po.airs.net> wrote:

[...]

> Well, as jvw said, you should have contact me before O: this staff,
> but in this case you are actually welcomed.

I am glad it is so.

[...]

> So if you want to take over the maintainership of sitecopy, go ahead.

I never had such intention, I'm just a user. Fortunately ITA has been
already filed by Reed Snellenberger.

Best regards

Janusz

-- 
                     ,   
dr hab. Janusz S. Bien, prof. UW -  Uniwersytet Warszawski (Katedra Lingwistyki Formalnej)
Prof. Janusz S. Bien - Warsaw Uniwersity (Chair of Formal Linguistics)
jsbien@mimuw.edu.pl, jsbien@uw.edu.pl, http://www.mimuw.edu.pl/~jsbien/, http://www.klf.uw.edu.pl



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#294991; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Reed Snellenberger <rsnellenberger@houston.rr.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #44 received at 294991@bugs.debian.org (full text, mbox):

From: Reed Snellenberger <rsnellenberger@houston.rr.com>
To: jsbien@mimuw.edu.pl
Cc: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>, 294991@bugs.debian.org, mhatta@debian.org
Subject: Re: Bug#294991: O: sitecopy -- A program for managing a WWW site via FTP, DAV or HTTP
Date: Mon, 14 Feb 2005 11:37:55 -0600
Thanks for your notes, Janusz.  Just to "close the loop" -- I do plan to 
move forward with the ITA I filed yesterday, and have begun looking at 
the existing package, new upstream sources/releases, as well as the 
Debian bugs filed against the package. 

Looks like it'll be fun :-)

Thanks,
Reed

-- 
Reed Snellenberger          
GPG KeyID: 5A978843  
rsnellenberger-at-houston.rr.com





Reply sent to Reed Snellenberger <rsnellenberger@houston.rr.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to jsbien@mimuw.edu.pl:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #49 received at 294991-close@bugs.debian.org (full text, mbox):

From: Reed Snellenberger <rsnellenberger@houston.rr.com>
To: 294991-close@bugs.debian.org
Subject: Bug#294991: fixed in sitecopy 1:0.15.1-1
Date: Wed, 29 Jun 2005 07:47:23 -0400
Source: sitecopy
Source-Version: 1:0.15.1-1

We believe that the bug you reported is fixed in the latest version of
sitecopy, which is due to be installed in the Debian FTP archive:

sitecopy_0.15.1-1.diff.gz
  to pool/main/s/sitecopy/sitecopy_0.15.1-1.diff.gz
sitecopy_0.15.1-1.dsc
  to pool/main/s/sitecopy/sitecopy_0.15.1-1.dsc
sitecopy_0.15.1-1_i386.deb
  to pool/main/s/sitecopy/sitecopy_0.15.1-1_i386.deb
sitecopy_0.15.1.orig.tar.gz
  to pool/main/s/sitecopy/sitecopy_0.15.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 294991@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Reed Snellenberger <rsnellenberger@houston.rr.com> (supplier of updated sitecopy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  9 May 2005 09:47:07 -0500
Source: sitecopy
Binary: sitecopy
Architecture: source i386
Version: 1:0.15.1-1
Distribution: unstable
Urgency: low
Maintainer: Reed Snellenberger <rsnellenberger@houston.rr.com>
Changed-By: Reed Snellenberger <rsnellenberger@houston.rr.com>
Description: 
 sitecopy   - A program for managing a WWW site via FTP, DAV or HTTP
Closes: 181949 185624 198307 207546 228643 285249 285249 285722 294991
Changes: 
 sitecopy (1:0.15.1-1) unstable; urgency=low
 .
   * New maintainer (closes: #294991)
   * New upstream release (closes: #181949, #198307, #285249, #207546,
     #285249)
      - Added man description of SSL configuration (closes: #228643)
      - Handles spaces in file & directory names (closes: #285722)
   * Removed xsitecopy build from control & debian/rules (obsolete upstream)
   * Removed --disable-debug flag from rules to allow client-level debugging (closes: #185624)
   * Bumped to Standards-Version: 3.6.1
   * Added debian/watch for uscan support
   * Upload sponsored by Matthew Palmer <mpalmer@debian.org>
Files: 
 e1f2060d66c024b5322293dcededeca3 650 web extra sitecopy_0.15.1-1.dsc
 95411223ae53303771804f14bb4c8efe 942287 web extra sitecopy_0.15.1.orig.tar.gz
 023303ded6714e4ecfbdcb046843457e 14282 web extra sitecopy_0.15.1-1.diff.gz
 6fba4a0ca643b1ff9fce6a16b25195da 162438 web extra sitecopy_0.15.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFCwocPBEnrTWk1E4cRAhMRAJ9vyDlpGeet2vufwmDmcpQ29tfoEQCeODq2
o9d99pM4FjuAW/nzNDHM0ms=
=BMVw
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 00:22:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:59:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.